
import 'package:origami_endpoint/models/authzEndpoint.dart';
import 'package:origami_endpoint/models/connectionProtocol.dart';
import 'package:origamicore/models/serializedObject.dart';

class UploadFile extends SerializedObject
{
  String name;
  String path;
  String type; 
  String url; 
  int maxSize; 
  UploadFile({this.name,this.path,this.type  });
  @override
  void fromJson(dynamic data)
  { 
    if(data['name']!=null) name=data['name'];
    if(data['path']!=null) path=data['path'];
    if(data['type']!=null) type=data['type']; 
    if(data['url']!=null) url=data['url']; 
    if(data['maxSize']!=null) maxSize=data['maxSize']; 
  }
  @override
  dynamic toJson()
  { 
  	var data ={};
      data['name']=name; 
      data['path']=path; 
      data['type']=type;  
      data['url']=url;  
      data['maxSize']=maxSize;  
  	return data;
  }
}